Bug 827561 - [abrt] mypaint-1.0.0-2.fc17: toolbar.py:605:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme
[abrt] mypaint-1.0.0-2.fc17: toolbar.py:605:_get_scaled_pixbuf:GError: Icon '...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mypaint (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:40bdeff1e57246e111f4047c4f6...
:
: 845199 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 14:44 EDT by Otso Helenius
Modified: 2013-08-01 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otso Helenius 2012-06-01 14:44:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python2.7 /usr/bin/mypaint
comment:        Started mypaint.
executable:     /usr/bin/mypaint
kernel:         3.3.7-1.fc17.x86_64
time:           Fri 01 Jun 2012 09:41:09 PM EEST
uid:            1000
username:       piksi

backtrace:
:toolbar.py:605:_get_scaled_pixbuf:GError: Icon 'gtk-missing-image' not present in theme
:
:Traceback (most recent call last):
:  File "/usr/share/mypaint/gui/toolbar.py", line 600, in on_size_allocate
:    self._update()
:  File "/usr/share/mypaint/gui/toolbar.py", line 621, in _update
:    scaled_pixbuf = self._get_scaled_pixbuf(s)
:  File "/usr/share/mypaint/gui/toolbar.py", line 605, in _get_scaled_pixbuf
:    return theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
:GError: Icon 'gtk-missing-image' not present in theme
:
:Local variables in innermost frame:
:theme: <gtk.IconTheme object at 0x24be690 (GtkIconTheme at 0x2544080)>
:self: <ManagedBrushPreview object at 0x2aed230 (GtkImage at 0x2c4f980)>
:size: 22

smolt_data:
:
:
:General
:=================================
:UUID: 4bc2f5c6-a044-45d2-8428-adfd37f33da2
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4256.05
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       L 640  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2134
:System Memory: 3753
:System Swap: 1499
:Vendor: LENOVO
:System: 309395G ThinkPad X201 Tablet
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ur-lv_root / ext4 4096 4096 5113323 1938632 1887441 1286144 1042379 1042379
:/dev/sda1 /boot ext4 1024 1024 202770 130083 119843 51200 50800 50800
:/dev/mapper/vg_ur-lv_home /home ext4 4096 4096 13955353 6539691 5840607 3497984 3355161 3355161
:
Comment 1 Christoph Wickert 2012-06-10 15:31:33 EDT
What icon theme do you use? The icon should be available in all themes. but nevertheless mypaint should not crash.
Comment 2 Otso Helenius 2012-06-10 17:10:33 EDT
This is a clean F17 x86_64 KDE spin install. I'm using oxygen-gtk widget style with oxygen icons. I haven't modified any gtk settings. Mypaint never crashed with a clean F16 KDE spin install so apparently something has changed.
Comment 3 Christoph Wickert 2012-08-02 05:18:18 EDT
*** Bug 845199 has been marked as a duplicate of this bug. ***
Comment 4 Neil Darlow 2012-10-10 16:15:11 EDT
I just started MyPaint from the Applications|Graphics menu and abrt reported the error.

Package: mypaint-1.0.0-4.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)
Comment 5 Neil Darlow 2013-02-12 09:22:33 EST
I can silence this error by installing the package gnome-icon-theme-legacy. Can the original reporter comment if this works for him also?
Comment 6 Fedora End Of Life 2013-07-04 01:44:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 12:56:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.